Package ghidra.trace.database.data

# Interface DBTraceDataSettingsOperations

All Superinterfaces:
  `SpatialMap<TraceAddressSnapRange,DBTraceDataSettingsAdapter.DBTraceSettingsEntry,DBTraceAddressSnapRangePropertyMapTree.TraceAddressSnapRangeQuery>`, `TraceAddressSnapRangePropertyMapOperations<DBTraceDataSettingsAdapter.DBTraceSettingsEntry>`

All Known Implementing Classes:
  `DBTraceDataSettingsAdapter`, `DBTraceDataSettingsAdapter.DBTraceDataSettingsSpace`

public interface DBTraceDataSettingsOperations extends TraceAddressSnapRangePropertyMapOperations<DBTraceDataSettingsAdapter.DBTraceSettingsEntry>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface ghidra.util.database.spatial.SpatialMap

  `SpatialMap.EmptySpatialMap<DS extends BoundedShape<?>,T,Q>`

- ## Field Summary

  ### Fields inherited from interface ghidra.util.database.spatial.SpatialMap

  `EMPTY_MAP`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static void`
  `assertKnownType(Object obj)`
  `default void`
  `clear(Lifespan span, Address address, String name)`
  `default DBTraceDataSettingsAdapter.DBTraceSettingsEntry`
  `doExactOrNew(Lifespan lifespan, Address address, String name)`
  `default DBTraceDataSettingsAdapter.DBTraceSettingsEntry`
  `doGetEntry(long snap, Address address, String name)`
  `default DBTraceDataSettingsAdapter.DBTraceSettingsEntry`
  `doGetExactEntry(Lifespan lifespan, Address address, String name)`
  `default void`
  `doMakeWay(Lifespan span, Address address, String name)`
  `ReadWriteLock`
  `getLock()`
  `default Long`
  `getLong(long snap, Address address, String name)`
  `default Collection<String>`
  `getSettingNames(Lifespan lifespan, Address address)`
  `default String`
  `getString(long snap, Address address, String name)`
  `default Object`
  `getValue(long snap, Address address, String name)`
  `default boolean`
  `isEmpty(Lifespan lifespan, Address address)`
  `void`
  `makeWay(DBTraceDataSettingsAdapter.DBTraceSettingsEntry entry, Lifespan span)`
  `default void`
  `setLong(Lifespan lifespan, Address address, String name, long value)`
  `default void`
  `setString(Lifespan lifespan, Address address, String name, String value)`
  `default void`
  `setValue(Lifespan lifespan, Address address, String name, Object value)`

  ### Methods inherited from interface ghidra.util.database.spatial.SpatialMap

  `clear, entries, firstEntry, firstKey, firstValue, isEmpty, keys, orderedEntries, orderedKeys, orderedValues, put, reduce, remove, remove, size, values`

  ### Methods inherited from interface ghidra.trace.model.map.TraceAddressSnapRangePropertyMapOperations

  `deleteValue, getAddressSetView, getAddressSetView, put, put, put, put`

- ## Method Details

  - ### assertKnownType

    static void assertKnownType(Object obj)

  - ### makeWay

    void makeWay(DBTraceDataSettingsAdapter.DBTraceSettingsEntry entry, Lifespan span)

  - ### getLock

    ReadWriteLock getLock()

  - ### doGetExactEntry

    default DBTraceDataSettingsAdapter.DBTraceSettingsEntry doGetExactEntry(Lifespan lifespan, Address address, String name)

  - ### doMakeWay

    default void doMakeWay(Lifespan span, Address address, String name)

  - ### doExactOrNew

    default DBTraceDataSettingsAdapter.DBTraceSettingsEntry doExactOrNew(Lifespan lifespan, Address address, String name)

  - ### doGetEntry

    default DBTraceDataSettingsAdapter.DBTraceSettingsEntry doGetEntry(long snap, Address address, String name)

  - ### setLong

    default void setLong(Lifespan lifespan, Address address, String name, long value)

  - ### getLong

    default Long getLong(long snap, Address address, String name)

  - ### setString

    default void setString(Lifespan lifespan, Address address, String name, String value)

  - ### getString

    default String getString(long snap, Address address, String name)

  - ### setValue

    default void setValue(Lifespan lifespan, Address address, String name, Object value)

  - ### getValue

    default Object getValue(long snap, Address address, String name)

  - ### clear

    default void clear(Lifespan span, Address address, String name)

  - ### getSettingNames

    default Collection<String> getSettingNames(Lifespan lifespan, Address address)

  - ### isEmpty

    default boolean isEmpty(Lifespan lifespan, Address address)